package me.hammerle.supersnuvi.entity.components.animator;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.entity.components.Health;
import me.hammerle.supersnuvi.javafx.Image;

public class EntityAnimator 
{
    public final static EntityAnimator NULL = new EntityAnimator(null, 0.0, 0.0);
    
    protected final Entity ent;
    private final double offsetX;
    private final double offsetY;
    
    protected EntityAnimator(Entity ent, double offsetX, double offsetY)
    {
        this.ent = ent;
        this.offsetX = offsetX;
        this.offsetY = offsetY;
    }
    
    public void tick()
    {
    }
    
    public Image getImage()
    {
        return null;
    }
    
    public boolean drawImageFlipped()
    {
        return false;
    }
    
    public final double getRenderX()
    {
        return ent.getX() + offsetX;
    }
    
    public final double getRenderY()
    {
        return ent.getY() + ent.getHeight() + offsetY;
    }
    
    public void bindSlot()
    {
    }
}
